using AutoMapper;
using HospitalManagementSystem.Patients;
using HospitalManagementSystem.Patients.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HospitalManagementSystem
{
    public class PatientAutoMapperProfile : Profile
    {
        public PatientAutoMapperProfile()
        {
            // Entity to DTO mappings
            CreateMap<PatientRecord, PatientRecordDto>();
            CreateMap<PatientRecord, CreateUpdatePatientRecordDto>();

            // DTO to Entity mappings
            CreateMap<CreateUpdatePatientRecordDto, PatientRecord>();

            // Entity to DTO mappings
            CreateMap<Patient, PatientDto>();
            CreateMap<Patient, CreateUpdatePatientDto>();

            // DTO to Entity mappings
            CreateMap<CreateUpdatePatientDto, Patient>();
        }
    }
}
